require 'cgi'

module CRP
  class ReviewCallback
    def initialize(payload)
      @payload = payload
    end

    def raw_review
      CGI::parse(@payload)
    end

    def external_id
      raw_review["externalId"].first
    end

    def internal_id
      raw_review["internalId"].first
    end

    def result_code
      raw_review["result"].first.to_i
    end

    def result_message
      ResultMapper.to_message(result_code)
    end
  end
end
